Bug 1277522 - Opening Process Sources twice breaks the modal
Opening Process Sources twice breaks the modal
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: DR1
: 6.3.0
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
: UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 08:59 EST by Zuzana Krejčová
Modified: 2016-07-31 21:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (117.56 KB, image/png)
2015-11-03 08:59 EST, Zuzana Krejčová
no flags Details
tryingtoreproducevideo (3.14 MB, video/quicktime)
2015-12-03 10:29 EST, Tihomir Surdilovic
no flags Details

  None (edit)
Description Zuzana Krejčová 2015-11-03 08:59:13 EST
Created attachment 1088995 [details]
screenshot

Description of problem:
When user opens the Process Sources modal in Designer, the underlying gui is still available - it is possible to "open" the same modal again. Doing this breaks the modal - if you try to move it around, it leaves "ghost" modals. See screenshot. It is not possible to get rid of it either.


Version-Release number of selected component (if applicable):
6.2 ER5


Steps to Reproduce:
1. Open a process in the Designer.
2. Click on the "share" button and select View Process Sources.
3. Repeat step 2.
4. Grab theProcess Sources modal and move it around a few times.


Actual results:
See screenshot.


Expected results:
It is either not possible to execute step 3 - the rest of the designer is not accessible (the same way modals in the rest of the business-central "cover" the rest of the gui) - or doing so doesn't break anything.


Additional info:
The same happens with the other "share" options and also, it seems, when they are combined.
Comment 1 Tihomir Surdilovic 2015-12-03 10:28:38 EST
Hi Zuzana, I tried and cannot reproduce - can you retest please and if you can see this again let me know what browser + version you are testing with?

Attaching a video of what i see.
Comment 2 Tihomir Surdilovic 2015-12-03 10:29 EST
Created attachment 1101834 [details]
tryingtoreproducevideo
Comment 3 Zuzana Krejčová 2015-12-03 10:45:29 EST
I see it was not clear enough from my description - by opening the modal twice, I meant open it once and without closing the modal, open it again, another instance of it. In the steps to reproduce, step 3 says repeat step 2. Step 2 is done without closing the modal - you open the modal with the process source and leave it open.

I appologize for not stating that clearly.
Comment 4 Tihomir Surdilovic 2015-12-03 17:55:40 EST
OK thanks - yes that is my fault I did not realize we should not close it. 
Was able to reproduce 

Pull request link (master): https://github.com/droolsjbpm/jbpm-designer/pull/101
Comment 6 Zuzana Krejčová 2016-03-02 04:02:05 EST
Verified with DR2.

Note You need to log in before you can comment on or make changes to this bug.